import http from '@/http/http.js'
const request = http.request
const urlType='market'

export function getConfig(data) {
    return request({
        url: `${urlType}/admin/member`,
        method: "GET",
        data: {
            ...data
        }
    })
}


export function editConfig(data) {
    return request({
        url: `${urlType}/admin/member`,
        method: "POST",
        data: {
            ...data
        }
    })
}

export function levelList(data) {
    return request({
        url: `${urlType}/admin/member/level/list`,
        method: "GET",
        data: {
            ...data
        }
    })
}
export function orderList(data) {
    return request({
        url: `${urlType}/admin/member/order`,
        method: "GET",
        data: {
            ...data
        }
    })
}
export function levelAdd(data) {
    return request({
        url: `${urlType}/admin/member/level`,
        method: "POST",
        data: {
            ...data
        }
    })
}
export function levelEdit(data) {
    return request({
        url: `${urlType}/admin/member/level`,
        method: "PUT",
        data: {
            ...data
        }
    })
}
export function levelDel(id) {
    return request({
        url: `${urlType}/admin/member/level/${id}`,
        method: "DELETE",
    })
}
